Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.action
Class ActionInvocationValues<S extends Service>

    java.lang.Object
      org.teleal.cling.model.action.ActionInvocationValues<S>

    public class ActionInvocationValues<S extends Service>

extends Object

Constructor Summary
`ActionInvocationValues(List<ActionArgument<S>> arguments, boolean input)`

Method Summary
`boolean` | `addValue(Object value)`
`ActionArgumentValue<S>` | `createValue(ActionArgument<S> argument, Object value)`
`void` | `fillValuesWithNull()`
`protected int` | `findFirstEmptySlot(ActionArgumentValue[] array)`
`List<ActionArgument<S>>` | `getArguments()`
`ActionArgumentValue<S>[]` | `getValues()`
`boolean` | `isInput()`
`boolean` | `isValid()`
`void` | `setValue(int i, Object value)`
`void` | `setValues(Object... values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionInvocationValues

    public ActionInvocationValues(List<ActionArgument<S>> arguments,
                                  boolean input)

Method Detail

### getArguments

    public List<ActionArgument<S>> getArguments()

### getValues

    public ActionArgumentValue<S>[] getValues()

### setValues

    public void setValues(Object... values)
                   throws ActionException

  Throws:
    `ActionException`

### setValue

    public void setValue(int i,
                         Object value)
                  throws ActionException

  Throws:
    `ActionException`

### addValue

    public boolean addValue(Object value)
                     throws ActionException

  Throws:
    `ActionException`

### createValue

    public ActionArgumentValue<S> createValue(ActionArgument<S> argument,
                                              Object value)
                                                       throws ActionException

  Throws:
    `ActionException`

### isValid

    public boolean isValid()

### fillValuesWithNull

    public void fillValuesWithNull()

### isInput

    public boolean isInput()

### findFirstEmptySlot

    protected int findFirstEmptySlot(ActionArgumentValue[] array)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.